GET /reports/{id}
Fetches a complete report by job ID, Stripe ID, or slug. Returns products, collections, pages, and metadata.

Authentication

Bearer Token API Key (header: X-API-Key)

Path Parameters

id string required path

Responses

200 Full report with products, collections, pages

No response body

404 Report not found
curl -X GET 'https://shopsniffer.com/api/reports/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://shopsniffer.com/api/reports/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://shopsniffer.com/api/reports/string', headers=headers)print(response.json())